View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008908ParaView(No Category)public2009-04-20 08:522009-05-26 21:09
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.6Fixed in Version3.8 
Summary0008908: Save temporal datasets as file series
DescriptionIt must be possible to save temporal datasets as a file series.
TagsNo tags attached.
Project
Topic Name
Type
Attached Filestar file icon vtkFileSeriesWriter.tar [^] (20,480 bytes) 2009-05-19 13:09

- Relationships Relation Graph ] Dependency Graph ]
parent of 0008617closedUtkarsh Ayachit Extracting data sets through PV pipe line 

-  Notes
(0016535)
Ken Moreland (manager)
2009-05-19 13:15

I made a little headway on this bug. I wrote a class called vtkFileSeriesWriter which is the analog to vtkFileSeriesReader. This new class is attached (although is as of yet untested).

For now I am stopping here because I ran in to a stumbling block for implementing vtkSMFileSeriesWriterProxy. I discovered that whereas all readers use the same proxy object, there are 4 types of vtkSMWriterProxy objects (although 1 seems to be unused). The differences seem mostly concerned with providing extent (piece) information to the writers and handling the different conventions. How do we handle this? Do we provide a separate file series proxy for each of these writer proxy types? Do we do some consolidation? And how does the piece information get from vtkFileSeriesWriter to the actual writer? I would rather Utkarsh "the man" Ayachit make this determination than me.
(0016540)
Utkarsh Ayachit (administrator)
2009-05-21 10:23

Adding support to save temporal datasets as file series for legacy vtk and vtk-xml file formats. Cleaned up the writer proxies. Removed obsolete vtkPVSummaryHelper and vtkSMPVDWriterProxy. Now summary file is written by the root node alone.

Since this change is quite pervasive, I am not too comfortable committing to 3.6 branch without it having used and tested for a while. So delaying until 3.8 (or 3.6.2 is we the issues get cleaned up by then).

/cvsroot/ParaView3/ParaView3/Qt/Components/Resources/XML/ParaViewWriters.xml,v <-- Qt/Components/Resources/XML/ParaViewWriters.xml
new revision: 1.14; previous revision: 1.13
/cvsroot/ParaView3/ParaView3/Servers/Filters/CMakeLists.txt,v <-- Servers/Filters/CMakeLists.txt
new revision: 1.193; previous revision: 1.192
/cvsroot/ParaView3/ParaView3/Servers/Filters/vtkCompleteArrays.cxx,v <-- Servers/Filters/vtkCompleteArrays.cxx
new revision: 1.10; previous revision: 1.9
/cvsroot/ParaView3/ParaView3/Servers/Filters/vtkFileSeriesWriter.cxx,v <-- Servers/Filters/vtkFileSeriesWriter.cxx
initial revision: 1.1
/cvsroot/ParaView3/ParaView3/Servers/Filters/vtkFileSeriesWriter.h,v <-- Servers/Filters/vtkFileSeriesWriter.h
initial revision: 1.1
/cvsroot/ParaView3/ParaView3/Servers/Filters/vtkPVSummaryHelper.cxx,v <-- Servers/Filters/vtkPVSummaryHelper.cxx
new revision: delete; previous revision: 1.1
/cvsroot/ParaView3/ParaView3/Servers/Filters/vtkPVSummaryHelper.h,v <-- Servers/Filters/vtkPVSummaryHelper.h
new revision: delete; previous revision: 1.1
/cvsroot/ParaView3/ParaView3/Servers/Filters/vtkXMLPVDWriter.cxx,v <-- Servers/Filters/vtkXMLPVDWriter.cxx
new revision: 1.17; previous revision: 1.16
/cvsroot/ParaView3/ParaView3/Servers/Filters/Testing/Cxx/ServersFiltersPrintSelf.cxx,v <-- Servers/Filters/Testing/Cxx/ServersFiltersPrintSelf.cxx
new revision: 1.39; previous revision: 1.38
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/CMakeLists.txt,v <-- Servers/ServerManager/CMakeLists.txt
new revision: 1.241; previous revision: 1.240
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPSWriterProxy.cxx,v <-- Servers/ServerManager/vtkSMPSWriterProxy.cxx
new revision: 1.3; previous revision: 1.2
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPSWriterProxy.h,v <-- Servers/ServerManager/vtkSMPSWriterProxy.h
new revision: 1.2; previous revision: 1.1
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPVDWriterProxy.cxx,v <-- Servers/ServerManager/vtkSMPVDWriterProxy.cxx
new revision: delete; previous revision: 1.5
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPVDWriterProxy.h,v <-- Servers/ServerManager/vtkSMPVDWriterProxy.h
new revision: delete; previous revision: 1.2
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPWriterProxy.cxx,v <-- Servers/ServerManager/vtkSMPWriterProxy.cxx
new revision: 1.10; previous revision: 1.9
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMPWriterProxy.h,v <-- Servers/ServerManager/vtkSMPWriterProxy.h
new revision: 1.6; previous revision: 1.5
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMWriterProxy.cxx,v <-- Servers/ServerManager/vtkSMWriterProxy.cxx
new revision: 1.11; previous revision: 1.10
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMWriterProxy.h,v <-- Servers/ServerManager/vtkSMWriterProxy.h
new revision: 1.7; previous revision: 1.6
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/internal_writers.xml,v <-- Servers/ServerManager/Resources/internal_writers.xml
initial revision: 1.1
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/readers.xml,v <-- Servers/ServerManager/Resources/readers.xml
new revision: 1.153; previous revision: 1.152
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/writers.xml,v <-- Servers/ServerManager/Resources/writers.xml
new revision: 1.34; previous revision: 1.33
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Testing/Cxx/ServersServerManagerPrintSelf.cxx,v <-- Servers/ServerManager/Testing/Cxx/ServersServerManagerPrintSelf.cxx
new revision: 1.26; previous revision: 1.25
(0016543)
Utkarsh Ayachit (administrator)
2009-05-21 11:10

/cvsroot/ParaView3/ParaView3/Servers/ServerManager/CMakeLists.txt,v <-- Servers/ServerManager/CMakeLists.txt
new revision: 1.242; previous revision: 1.241
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMSummaryHelperProxy.cxx,v <-- Servers/ServerManager/vtkSMSummaryHelperProxy.cxx
new revision: delete; previous revision: 1.3
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMSummaryHelperProxy.h,v <-- Servers/ServerManager/vtkSMSummaryHelperProxy.h
new revision: delete; previous revision: 1.2
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMXMLPVAnimationWriterProxy.cxx,v <-- Servers/ServerManager/vtkSMXMLPVAnimationWriterProxy.cxx
new revision: 1.10; previous revision: 1.9
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMXMLPVAnimationWriterProxy.h,v <-- Servers/ServerManager/vtkSMXMLPVAnimationWriterProxy.h
new revision: 1.7; previous revision: 1.6
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Testing/Cxx/ServersServerManagerPrintSelf.cxx,v <-- Servers/ServerManager/Testing/Cxx/ServersServerManagerPrintSelf.cxx
new revision: 1.27; previous revision: 1.26
(0016574)
Alan Scott (manager)
2009-05-26 21:09

Looks like it works to me. Want to try to put it in 3.6.2?

Tested local server.

- Issue History
Date Modified Username Field Change
2009-04-20 08:52 Utkarsh Ayachit New Issue
2009-05-11 10:42 Ken Moreland Relationship added parent of 0008617
2009-05-11 10:43 Ken Moreland Status backlog => tabled
2009-05-11 10:43 Ken Moreland Assigned To => Utkarsh Ayachit
2009-05-13 13:44 Utkarsh Ayachit Target Version => 3.6
2009-05-19 13:09 Ken Moreland File Added: vtkFileSeriesWriter.tar
2009-05-19 13:15 Ken Moreland Note Added: 0016535
2009-05-21 10:23 Utkarsh Ayachit Note Added: 0016540
2009-05-21 10:23 Utkarsh Ayachit Status tabled => @80@
2009-05-21 10:23 Utkarsh Ayachit Fixed in Version => 3.8
2009-05-21 10:23 Utkarsh Ayachit Resolution open => fixed
2009-05-21 11:10 Utkarsh Ayachit Note Added: 0016543
2009-05-26 21:09 Alan Scott Note Added: 0016574
2009-05-26 21:09 Alan Scott Status @80@ => closed
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker